package com.huijy.management.domain;

import java.math.BigDecimal;
import java.util.List;

import com.huijy.common.annotation.Excel;
import com.huijy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 标记物管理对象 t_marker
 *
 * @author luobo
 * @date 2021-09-08
 */
public class Marker extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 标记物id */
    private Long markerId;

    /** 标记物名称 */
    @Excel(name = "标记物名称")
    private String markerName;

    /** 标记物类型 */
    @Excel(name = "标记物类型")
    private String markerType;

    /** 标记物地址 */
    @Excel(name = "标记物地址")
    private String address;

    /** 展示图片 */
    @Excel(name = "展示图片")
    private String showPictures;

    /** icon图片 */
    @Excel(name = "icon图片")
    private String iconPictures;

    /** 坐标lat */
    @Excel(name = "坐标lat")
    private String lat;

    /** 坐标lng */
    @Excel(name = "坐标lng")
    private String lng;

    /** 标签 */
    @Excel(name = "标签")
    private String labelText;

    /** 营业时间 */
    @Excel(name = "营业时间")
    private String businessHours;

    /** 画图形状 */
    @Excel(name = "画图形状")
    private String shapeType;

    /** 坐标集合 */
    @Excel(name = "坐标集合")
    private String locationSet;

    /** 圆形的半径 */
    @Excel(name = "圆形的半径")
    private BigDecimal radius;

    /** 简介 */
    @Excel(name = "简介")
    private String briefContent;

    /** 详情 */
    @Excel(name = "详情")
    private String content;

    private List<Long> contentIdsList;

    public void setMarkerId(Long markerId)
    {
        this.markerId = markerId;
    }

    public Long getMarkerId()
    {
        return markerId;
    }
    public void setMarkerName(String markerName)
    {
        this.markerName = markerName;
    }

    public String getMarkerName()
    {
        return markerName;
    }
    public void setMarkerType(String markerType)
    {
        this.markerType = markerType;
    }

    public String getMarkerType()
    {
        return markerType;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setShowPictures(String showPictures)
    {
        this.showPictures = showPictures;
    }

    public String getShowPictures()
    {
        return showPictures;
    }
    public void setIconPictures(String iconPictures)
    {
        this.iconPictures = iconPictures;
    }

    public String getIconPictures()
    {
        return iconPictures;
    }
    public void setLat(String lat)
    {
        this.lat = lat;
    }

    public String getLat()
    {
        return lat;
    }
    public void setLng(String lng)
    {
        this.lng = lng;
    }

    public String getLng()
    {
        return lng;
    }
    public void setLabelText(String labelText)
    {
        this.labelText = labelText;
    }

    public String getLabelText()
    {
        return labelText;
    }
    public void setBusinessHours(String businessHours)
    {
        this.businessHours = businessHours;
    }

    public String getBusinessHours()
    {
        return businessHours;
    }
    public void setShapeType(String shapeType)
    {
        this.shapeType = shapeType;
    }

    public String getShapeType()
    {
        return shapeType;
    }
    public void setLocationSet(String locationSet)
    {
        this.locationSet = locationSet;
    }

    public String getLocationSet()
    {
        return locationSet;
    }
    public void setRadius(BigDecimal radius)
    {
        this.radius = radius;
    }

    public BigDecimal getRadius()
    {
        return radius;
    }
    public void setBriefContent(String briefContent)
    {
        this.briefContent = briefContent;
    }

    public String getBriefContent()
    {
        return briefContent;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }

    public List<Long> getContentIdsList() {
        return contentIdsList;
    }

    public void setContentIdsList(List<Long> contentIdsList) {
        this.contentIdsList = contentIdsList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("markerId", getMarkerId())
            .append("markerName", getMarkerName())
            .append("markerType", getMarkerType())
            .append("address", getAddress())
            .append("showPictures", getShowPictures())
            .append("iconPictures", getIconPictures())
            .append("lat", getLat())
            .append("lng", getLng())
            .append("labelText", getLabelText())
            .append("businessHours", getBusinessHours())
            .append("shapeType", getShapeType())
            .append("locationSet", getLocationSet())
            .append("radius", getRadius())
            .append("briefContent", getBriefContent())
            .append("content", getContent())
            .toString();
    }
}
